(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/router'), require('@angular/common'), require('@angular/forms'), require('@angular/common/http'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('asap-poll', ['exports', '@angular/core', '@angular/router', '@angular/common', '@angular/forms', '@angular/common/http', 'rxjs/operators'], factory) :
    (global = global || self, factory(global['asap-poll'] = {}, global.ng.core, global.ng.router, global.ng.common, global.ng.forms, global.ng.common.http, global.rxjs.operators));
}(this, (function (exports, core, router, common, forms, http, operators) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-poll.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapPollService = /** @class */ (function () {
        function AsapPollService() {
        }
        AsapPollService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AsapPollService.ctorParameters = function () { return []; };
        /** @nocollapse */ AsapPollService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function AsapPollService_Factory() { return new AsapPollService(); }, token: AsapPollService, providedIn: "root" });
        return AsapPollService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-poll.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapPollComponent = /** @class */ (function () {
        function AsapPollComponent(router, route) {
            this.router = router;
            this.route = route;
        }
        /**
         * @param {?} changes
         * @return {?}
         */
        AsapPollComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            if (changes.settings && this.settings) {
                this.processComments(this.settings.data);
            }
        };
        /**
         * @param {?} data
         * @return {?}
         */
        AsapPollComponent.prototype.processComments = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            console.log(data);
            this.data = data;
        };
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
        //body: option_id
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
        //body: option_id
        /**
         * @param {?} id
         * @return {?}
         */
        AsapPollComponent.prototype.openPoll = 
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
        //body: option_id
        /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            this.router.navigateByUrl("polls/item/" + id);
        };
        AsapPollComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'asap-components-poll',
                        template: "<router-outlet></router-outlet>"
                    }] }
        ];
        /** @nocollapse */
        AsapPollComponent.ctorParameters = function () { return [
            { type: router.Router },
            { type: router.ActivatedRoute }
        ]; };
        AsapPollComponent.propDecorators = {
            settings: [{ type: core.Input }]
        };
        return AsapPollComponent;
    }());
    if (false) {
        /** @type {?} */
        AsapPollComponent.prototype.settings;
        /** @type {?} */
        AsapPollComponent.prototype.data;
        /** @type {?} */
        AsapPollComponent.prototype.router;
        /** @type {?} */
        AsapPollComponent.prototype.route;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/services/data.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DataService = /** @class */ (function () {
        function DataService(http) {
            this.http = http;
        }
        Object.defineProperty(DataService.prototype, "baseUrl", {
            get: /**
             * @return {?}
             */
            function () {
                return localStorage.getItem('apiURL');
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        DataService.prototype.companies = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var client = localStorage.getItem('client');
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/admin/asap-client/vinculo/' + client;
            return this.http.get(url, this.header);
        };
        /**
         * @param {?} body
         * @return {?}
         */
        DataService.prototype.geralWeb = /**
         * @param {?} body
         * @return {?}
         */
        function (body) {
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/client/geral/mobile/web';
            return this.http.post(url, body, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.newsSection = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/client/news-section';
            return this.http.get(url, this.header);
        };
        /**
         * @param {?} section
         * @return {?}
         */
        DataService.prototype.news = /**
         * @param {?} section
         * @return {?}
         */
        function (section) {
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/client/news-section/' + section + '/news';
            return this.http.get(url, this.header);
        };
        /**
         * @param {?} type
         * @param {?} id
         * @return {?}
         */
        DataService.prototype.featured = /**
         * @param {?} type
         * @param {?} id
         * @return {?}
         */
        function (type, id) {
            if (type === 'course-session' || type === 'course-section') {
                type = 'curso';
            }
            if (type === 'event-session' || type === 'event-section') {
                type = 'evento';
            }
            if (type === 'video-session') {
                type = 'video';
            }
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/client/itens/custom?type=' + type + '&id=' + id + '&client_id=' + this.client;
            return this.http.get(url, this.header);
        };
        /**
         * @param {?} id
         * @return {?}
         */
        DataService.prototype.channel = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            /** @type {?} */
            var url = this.baseUrl + "/api/v2/admin/channel/" + id + "?client_id=" + this.client;
            console.log(url);
            return this.http.get(url, this.header)
                .pipe(operators.map((/**
             * @param {?} response
             * @return {?}
             */
            function (response) { return response.data; })));
        };
        /**
         * @param {?} userId
         * @return {?}
         */
        DataService.prototype.event = /**
         * @param {?} userId
         * @return {?}
         */
        function (userId) {
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/client/event/unit/' + userId + '?type=presential' + '&client_id=' + this.client;
            return this.http.get(url, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.web = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/trilha/geral/web?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.progress = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/trilha', this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.lives = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/event/live/gallery?client_id=' + this.client, this.header);
        };
        /**
         * @param {?} type
         * @param {?} role
         * @return {?}
         */
        DataService.prototype.custom = /**
         * @param {?} type
         * @param {?} role
         * @return {?}
         */
        function (type, role) {
            /** @type {?} */
            var url = this.baseUrl + '/api/v2/client/trilha/geral/custom?type=' + type + '&role=' + role + '&client_id=' + this.client;
            return this.http.get(url, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.acervo = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/admin/acervo/pasta/abre/permission', this.header);
        };
        /**
         * @param {?} id
         * @return {?}
         */
        DataService.prototype.color = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.http.get(this.baseUrl + '/api/v2/admin/color/' + id, this.header);
        };
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        /**
         * @param {?} id
         * @return {?}
         */
        DataService.prototype.pollsQuestions = 
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.http.get(this.baseUrl + '/api/v2/client/polls/item/view/' + id, this.header);
        };
        /**
         * @param {?} id
         * @param {?} data
         * @return {?}
         */
        DataService.prototype.updatePolls = /**
         * @param {?} id
         * @param {?} data
         * @return {?}
         */
        function (id, data) {
            return this.http.post(this.baseUrl + '/api/v2/client/polls/item/view/' + id, data, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.notices = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/edital/influenciadores', this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.journey = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v21/admin/jornada', this.header);
        };
        /**
         * @param {?} id
         * @return {?}
         */
        DataService.prototype.journeyItens = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.http.get(this.baseUrl + '/api/v21/admin/jornada/item/client/' + id, this.header);
        };
        /**
         * @param {?} id
         * @return {?}
         */
        DataService.prototype.trailSessao = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.http.get(this.baseUrl + '/api/v21/admin/trail/session?type=' + id, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.cursosSessao = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/session/geral/web?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.videoSessao = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v21/admin/videos/session?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.eventoSessao = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v21/admin/eventos/session?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.benefits = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/beneficio/geral/web', this.header);
        };
        /**
         * @param {?} clientID
         * @return {?}
         */
        DataService.prototype.credits = /**
         * @param {?} clientID
         * @return {?}
         */
        function (clientID) {
            return this.http.get(this.baseUrl + '/api/v2/client/creditos/' + clientID, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.studio = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/course?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.menu = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/admin/permission/' + this.userId, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.menuLateral = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/admin/menu/view', this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.expositor = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/expositor?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.jobs = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/opportunity/user?client_id=' + this.client, this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.data = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + '/api/v2/client/home/info', this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.mentoriaSection = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + "/api/v2/client/mentoria-section", this.header);
        };
        /**
         * @return {?}
         */
        DataService.prototype.users = /**
         * @return {?}
         */
        function () {
            return this.http.get(this.baseUrl + "/api/v2/client/network/users", this.header);
        };
        /**
         * @param {?} section
         * @return {?}
         */
        DataService.prototype.forums = /**
         * @param {?} section
         * @return {?}
         */
        function (section) {
            /** @type {?} */
            var query = 'all&search=' + btoa("(theme_id IN (SELECT id FROM forum_theme WHERE (session_id=" + section + ")))");
            return this.http.get(this.baseUrl + "/api/v2/client/forum-chat?" + query, this.header);
        };
        Object.defineProperty(DataService.prototype, "client", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var storage = localStorage.getItem('loggedUser');
                if (!storage) {
                    return '';
                }
                /** @type {?} */
                var loggedUser = JSON.parse(storage);
                return loggedUser.data.client_id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataService.prototype, "userId", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var storage = localStorage.getItem('loggedUser');
                if (!storage) {
                    return '';
                }
                /** @type {?} */
                var loggedUser = JSON.parse(storage);
                return loggedUser.data.id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(DataService.prototype, "header", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var token = localStorage.getItem('token');
                /** @type {?} */
                var headerOptions = {
                    Accept: 'application/json'
                };
                if (token) {
                    headerOptions['Authorization'] = token;
                }
                return { headers: new http.HttpHeaders(headerOptions) };
            },
            enumerable: true,
            configurable: true
        });
        DataService.decorators = [
            { type: core.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */
        DataService.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        /** @nocollapse */ DataService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(core.ɵɵinject(http.HttpClient)); }, token: DataService, providedIn: "root" });
        return DataService;
    }());
    if (false) {
        /** @type {?} */
        DataService.prototype.http;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/question/poll-questions.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PollQuestionsComponent = /** @class */ (function () {
        function PollQuestionsComponent(route, dataService) {
            this.route = route;
            this.dataService = dataService;
        }
        /**
         * @return {?}
         */
        PollQuestionsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.route.params.subscribe((/**
             * @param {?} params
             * @return {?}
             */
            function (params) {
                _this.id = params.id;
                _this.getPollsQuestions(params.id);
                _this.itemType = 'view';
            }));
        };
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
        //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
        //body: option_id
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
        //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
        //body: option_id
        /**
         * @param {?} id
         * @return {?}
         */
        PollQuestionsComponent.prototype.getPollsQuestions = 
        //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
        //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
        //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
        //body: option_id
        /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            var _this = this;
            this.dataService.pollsQuestions(id).subscribe((/**
             * @param {?} response
             * @return {?}
             */
            function (response) {
                _this.data = response;
            }));
        };
        /**
         * @param {?} answer
         * @return {?}
         */
        PollQuestionsComponent.prototype.updatePollsQuestions = /**
         * @param {?} answer
         * @return {?}
         */
        function (answer) {
            var _this = this;
            // this.data.options[this.data.options.indexOf(answer)].selected = !answer.selected;
            /** @type {?} */
            var body = {
                option_id: answer.id,
                selected: answer.selected
            };
            this.dataService.updatePolls(this.id, body).subscribe((/**
             * @param {?} response
             * @return {?}
             */
            function (response) {
                _this.data = response;
            }));
        };
        PollQuestionsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'poll-questions.component',
                        template: "<div class=\"container py-4\">\r\n    <div class=\"row\">\r\n        <div class=\"col-sm-8 mx-auto\">\r\n            <div>\r\n                <div class=\"mt-4\">\r\n                    <nav aria-label=\"breadcrumb\">\r\n                        <ol class=\"breadcrumb px-0\">\r\n                            <li class=\"breadcrumb-item\"><a routerLink=\"/polls\">Enquetes</a></li>\r\n                            <li class=\"breadcrumb-item\"><a (click)=\"itemType='view'\">Conex\u00F5es</a></li>\r\n                            <li *ngIf=\"itemType === 'report'\" class=\"breadcrumb-item active\" aria-current=\"page\">Resultado</li>\r\n                        </ol>\r\n                    </nav>\r\n                </div>\r\n                <div class=\"polls-section\">\r\n\r\n                    <h5 class=\"polls-section-title\">{{data?.title}}</h5>\r\n\r\n                    <ng-container *ngIf=\"itemType === 'view'\">\r\n\r\n                        <!-- Tipo pesquisa -->\r\n                        <ng-container>\r\n                            <div class=\"polls-multichoice\">\r\n                                <li class=\"selected\">\r\n                                    <span (click)=\"itemType='report'\">1</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">2</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">3</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">4</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">5</span>\r\n                                </li>\r\n                            </div>\r\n                            <div class=\"mt-1\">\r\n                                <small>\r\n                                    <i class=\"bi bi-bar-chart\"></i>\r\n                                    {{data?.total_votes}}\r\n                                </small>\r\n                            </div>\r\n                        </ng-container>\r\n\r\n                         <!-- Tipo pergunta -->\r\n                        <ng-container>\r\n                            <ul class=\"polls-multichoice-vertical\">\r\n                                <li *ngFor=\"let item of data?.options\" [ngClass]=\"{'selected' : item.selected}\" (click)=\"updatePollsQuestions(item)\">\r\n                                    <div *ngIf=\"item.selected\" class=\"check\">\r\n                                        <i class=\"bi bi-check-circle-fill\"></i>\r\n                                    </div>\r\n                                    <p>{{item.text}}</p>\r\n                                </li>\r\n                               \r\n                            </ul>\r\n                        </ng-container>\r\n\r\n                    </ng-container>\r\n\r\n                    <ng-container *ngIf=\"itemType === 'report'\">\r\n                        <div class=\"polls-report\" *ngFor=\"let item of [1,2,3,4,5]; let i = index\">\r\n                            <div class=\"row fs-14\">\r\n                                <div class=\"col-sm-6\">Op\u00E7\u00E3o {{ i + 1 }}</div>\r\n                                <div class=\"col-sm-6 text-right\">25%</div>\r\n                            </div>\r\n                            <div class=\"progress\" style=\"height: 8px;\">\r\n                                <div class=\"progress-bar bg-primary\" role=\"progressbar\" style=\"width: 25%;\" aria-valuenow=\"25\" aria-valuemin=\"0\" aria-valuemax=\"100\"></div>\r\n                            </div>\r\n                        </div>\r\n                        <div>\r\n                            <small>\r\n                                <i class=\"bi bi-bar-chart\"></i>\r\n                                {{ data?.total_votes }}\r\n                            </small>\r\n                        </div>\r\n                    </ng-container>\r\n\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>",
                        styles: [".polls-item{display:flex;align-items:flex-start;justify-content:space-between;flex-direction:column;height:130px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice{display:flex;margin:20px 0 0}.polls-multichoice li{min-width:30px;height:30px;line-height:30px;padding:0 5px;background-color:#eee;border:1px solid #fff;border-radius:4px;text-align:center;font-size:14px}.polls-multichoice li:hover{background-color:#ddd;cursor:pointer}.polls-multichoice li.selected{background-color:var(--main-color);color:#fff}li{list-style-type:none}.polls-multichoice-vertical{margin-top:30px}.polls-multichoice-vertical li{position:relative;display:flex;align-items:flex-start;justify-content:center;flex-direction:column;width:100%;min-height:50px;margin-bottom:15px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice-vertical li:hover{border:1px solid #666;cursor:pointer}.polls-multichoice-vertical li.selected{background-color:var(--main-color);color:#fff}.polls-multichoice-vertical li.selected .check{display:block;position:absolute;top:5px;right:10px}.polls-multichoice-vertical li.selected .check i{font-size:15px}.polls-multichoice-vertical li .check{display:none}.polls-multichoice-vertical li p{width:90%;overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;font-size:14px}.polls-report{min-height:65px;padding:15px 10px 10px;border-radius:8px;border:1px solid #d4d4d4;margin:20px 0}.polls-report .fs-14{font-size:14px}"]
                    }] }
        ];
        /** @nocollapse */
        PollQuestionsComponent.ctorParameters = function () { return [
            { type: router.ActivatedRoute },
            { type: DataService }
        ]; };
        return PollQuestionsComponent;
    }());
    if (false) {
        /** @type {?} */
        PollQuestionsComponent.prototype.id;
        /** @type {?} */
        PollQuestionsComponent.prototype.data;
        /** @type {?} */
        PollQuestionsComponent.prototype.itemType;
        /** @type {?} */
        PollQuestionsComponent.prototype.route;
        /** @type {?} */
        PollQuestionsComponent.prototype.dataService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-poll.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AsapPollModule = /** @class */ (function () {
        function AsapPollModule() {
        }
        AsapPollModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            router.RouterModule,
                            forms.FormsModule,
                            forms.ReactiveFormsModule,
                        ],
                        declarations: [
                            AsapPollComponent,
                            PollQuestionsComponent
                        ],
                        exports: [
                            AsapPollComponent,
                            PollQuestionsComponent
                        ]
                    },] }
        ];
        return AsapPollModule;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/asap-poll.routing.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var PollRoutes = [
        {
            path: '',
            component: AsapPollComponent,
        },
        {
            path: ':id',
            component: PollQuestionsComponent,
        }
    ];

    exports.AsapPollComponent = AsapPollComponent;
    exports.AsapPollModule = AsapPollModule;
    exports.AsapPollService = AsapPollService;
    exports.PollRoutes = PollRoutes;
    exports.ɵa = PollQuestionsComponent;
    exports.ɵb = DataService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=asap-poll.umd.js.map
