import { Injectable, ɵɵdefineInjectable, Component, Input, ɵɵinject, NgModule } from '@angular/core';
import { Router, ActivatedRoute, RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpHeaders, HttpClient } from '@angular/common/http';
import { map } from 'rxjs/operators';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AsapPollService {
    constructor() { }
}
AsapPollService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
AsapPollService.ctorParameters = () => [];
/** @nocollapse */ AsapPollService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AsapPollService_Factory() { return new AsapPollService(); }, token: AsapPollService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AsapPollComponent {
    /**
     * @param {?} router
     * @param {?} route
     */
    constructor(router, route) {
        this.router = router;
        this.route = route;
    }
    /**
     * @param {?} changes
     * @return {?}
     */
    ngOnChanges(changes) {
        if (changes.settings && this.settings) {
            this.processComments(this.settings.data);
        }
    }
    /**
     * @param {?} data
     * @return {?}
     */
    processComments(data) {
        console.log(data);
        this.data = data;
    }
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    openPoll(id) {
        this.router.navigateByUrl(`polls/item/${id}`);
    }
}
AsapPollComponent.decorators = [
    { type: Component, args: [{
                selector: 'asap-components-poll',
                template: "<router-outlet></router-outlet>"
            }] }
];
/** @nocollapse */
AsapPollComponent.ctorParameters = () => [
    { type: Router },
    { type: ActivatedRoute }
];
AsapPollComponent.propDecorators = {
    settings: [{ type: Input }]
};
if (false) {
    /** @type {?} */
    AsapPollComponent.prototype.settings;
    /** @type {?} */
    AsapPollComponent.prototype.data;
    /** @type {?} */
    AsapPollComponent.prototype.router;
    /** @type {?} */
    AsapPollComponent.prototype.route;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/services/data.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DataService {
    /**
     * @param {?} http
     */
    constructor(http) {
        this.http = http;
    }
    /**
     * @return {?}
     */
    get baseUrl() {
        return localStorage.getItem('apiURL');
    }
    /**
     * @return {?}
     */
    companies() {
        /** @type {?} */
        const client = localStorage.getItem('client');
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/admin/asap-client/vinculo/' + client;
        return this.http.get(url, this.header);
    }
    /**
     * @param {?} body
     * @return {?}
     */
    geralWeb(body) {
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/client/geral/mobile/web';
        return this.http.post(url, body, this.header);
    }
    /**
     * @return {?}
     */
    newsSection() {
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/client/news-section';
        return this.http.get(url, this.header);
    }
    /**
     * @param {?} section
     * @return {?}
     */
    news(section) {
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/client/news-section/' + section + '/news';
        return this.http.get(url, this.header);
    }
    /**
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    featured(type, id) {
        if (type === 'course-session' || type === 'course-section') {
            type = 'curso';
        }
        if (type === 'event-session' || type === 'event-section') {
            type = 'evento';
        }
        if (type === 'video-session') {
            type = 'video';
        }
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/client/itens/custom?type=' + type + '&id=' + id + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    }
    /**
     * @param {?} id
     * @return {?}
     */
    channel(id) {
        /** @type {?} */
        const url = `${this.baseUrl}/api/v2/admin/channel/${id}?client_id=${this.client}`;
        console.log(url);
        return this.http.get(url, this.header)
            .pipe(map((/**
         * @param {?} response
         * @return {?}
         */
        (response) => response.data)));
    }
    /**
     * @param {?} userId
     * @return {?}
     */
    event(userId) {
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/client/event/unit/' + userId + '?type=presential' + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    }
    /**
     * @return {?}
     */
    web() {
        return this.http.get(this.baseUrl + '/api/v2/client/trilha/geral/web?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    progress() {
        return this.http.get(this.baseUrl + '/api/v2/client/trilha', this.header);
    }
    /**
     * @return {?}
     */
    lives() {
        return this.http.get(this.baseUrl + '/api/v2/client/event/live/gallery?client_id=' + this.client, this.header);
    }
    /**
     * @param {?} type
     * @param {?} role
     * @return {?}
     */
    custom(type, role) {
        /** @type {?} */
        const url = this.baseUrl + '/api/v2/client/trilha/geral/custom?type=' + type + '&role=' + role + '&client_id=' + this.client;
        return this.http.get(url, this.header);
    }
    /**
     * @return {?}
     */
    acervo() {
        return this.http.get(this.baseUrl + '/api/v2/admin/acervo/pasta/abre/permission', this.header);
    }
    /**
     * @param {?} id
     * @return {?}
     */
    color(id) {
        return this.http.get(this.baseUrl + '/api/v2/admin/color/' + id, this.header);
    }
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    /**
     * @param {?} id
     * @return {?}
     */
    pollsQuestions(id) {
        return this.http.get(this.baseUrl + '/api/v2/client/polls/item/view/' + id, this.header);
    }
    /**
     * @param {?} id
     * @param {?} data
     * @return {?}
     */
    updatePolls(id, data) {
        return this.http.post(this.baseUrl + '/api/v2/client/polls/item/view/' + id, data, this.header);
    }
    /**
     * @return {?}
     */
    notices() {
        return this.http.get(this.baseUrl + '/api/v2/client/edital/influenciadores', this.header);
    }
    /**
     * @return {?}
     */
    journey() {
        return this.http.get(this.baseUrl + '/api/v21/admin/jornada', this.header);
    }
    /**
     * @param {?} id
     * @return {?}
     */
    journeyItens(id) {
        return this.http.get(this.baseUrl + '/api/v21/admin/jornada/item/client/' + id, this.header);
    }
    /**
     * @param {?} id
     * @return {?}
     */
    trailSessao(id) {
        return this.http.get(this.baseUrl + '/api/v21/admin/trail/session?type=' + id, this.header);
    }
    /**
     * @return {?}
     */
    cursosSessao() {
        return this.http.get(this.baseUrl + '/api/v2/client/session/geral/web?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    videoSessao() {
        return this.http.get(this.baseUrl + '/api/v21/admin/videos/session?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    eventoSessao() {
        return this.http.get(this.baseUrl + '/api/v21/admin/eventos/session?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    benefits() {
        return this.http.get(this.baseUrl + '/api/v2/client/beneficio/geral/web', this.header);
    }
    /**
     * @param {?} clientID
     * @return {?}
     */
    credits(clientID) {
        return this.http.get(this.baseUrl + '/api/v2/client/creditos/' + clientID, this.header);
    }
    /**
     * @return {?}
     */
    studio() {
        return this.http.get(this.baseUrl + '/api/v2/client/course?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    menu() {
        return this.http.get(this.baseUrl + '/api/v2/admin/permission/' + this.userId, this.header);
    }
    /**
     * @return {?}
     */
    menuLateral() {
        return this.http.get(this.baseUrl + '/api/v2/admin/menu/view', this.header);
    }
    /**
     * @return {?}
     */
    expositor() {
        return this.http.get(this.baseUrl + '/api/v2/client/expositor?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    jobs() {
        return this.http.get(this.baseUrl + '/api/v2/client/opportunity/user?client_id=' + this.client, this.header);
    }
    /**
     * @return {?}
     */
    data() {
        return this.http.get(this.baseUrl + '/api/v2/client/home/info', this.header);
    }
    /**
     * @return {?}
     */
    mentoriaSection() {
        return this.http.get(`${this.baseUrl}/api/v2/client/mentoria-section`, this.header);
    }
    /**
     * @return {?}
     */
    users() {
        return this.http.get(`${this.baseUrl}/api/v2/client/network/users`, this.header);
    }
    /**
     * @param {?} section
     * @return {?}
     */
    forums(section) {
        /** @type {?} */
        let query = 'all&search=' + btoa(`(theme_id IN (SELECT id FROM forum_theme WHERE (session_id=${section})))`);
        return this.http.get(`${this.baseUrl}/api/v2/client/forum-chat?${query}`, this.header);
    }
    /**
     * @return {?}
     */
    get client() {
        /** @type {?} */
        const storage = localStorage.getItem('loggedUser');
        if (!storage) {
            return '';
        }
        /** @type {?} */
        const loggedUser = JSON.parse(storage);
        return loggedUser.data.client_id;
    }
    /**
     * @return {?}
     */
    get userId() {
        /** @type {?} */
        const storage = localStorage.getItem('loggedUser');
        if (!storage) {
            return '';
        }
        /** @type {?} */
        const loggedUser = JSON.parse(storage);
        return loggedUser.data.id;
    }
    /**
     * @return {?}
     */
    get header() {
        /** @type {?} */
        const token = localStorage.getItem('token');
        /** @type {?} */
        let headerOptions = {
            Accept: 'application/json'
        };
        if (token) {
            headerOptions['Authorization'] = token;
        }
        return { headers: new HttpHeaders(headerOptions) };
    }
}
DataService.decorators = [
    { type: Injectable, args: [{ providedIn: 'root' },] }
];
/** @nocollapse */
DataService.ctorParameters = () => [
    { type: HttpClient }
];
/** @nocollapse */ DataService.ngInjectableDef = ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(ɵɵinject(HttpClient)); }, token: DataService, providedIn: "root" });
if (false) {
    /** @type {?} */
    DataService.prototype.http;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/question/poll-questions.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class PollQuestionsComponent {
    /**
     * @param {?} route
     * @param {?} dataService
     */
    constructor(route, dataService) {
        this.route = route;
        this.dataService = dataService;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.route.params.subscribe((/**
         * @param {?} params
         * @return {?}
         */
        (params) => {
            this.id = params.id;
            this.getPollsQuestions(params.id);
            this.itemType = 'view';
        }));
    }
    //get http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_enquete%7D
    //POST http://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/id_da_enquete
    //    https://api.tecnologiaasap.com.br/api/v2/client/polls/item/view/72
    //body: option_id
    /**
     * @param {?} id
     * @return {?}
     */
    getPollsQuestions(id) {
        this.dataService.pollsQuestions(id).subscribe((/**
         * @param {?} response
         * @return {?}
         */
        (response) => {
            this.data = response;
        }));
    }
    /**
     * @param {?} answer
     * @return {?}
     */
    updatePollsQuestions(answer) {
        // this.data.options[this.data.options.indexOf(answer)].selected = !answer.selected;
        /** @type {?} */
        let body = {
            option_id: answer.id,
            selected: answer.selected
        };
        this.dataService.updatePolls(this.id, body).subscribe((/**
         * @param {?} response
         * @return {?}
         */
        (response) => {
            this.data = response;
        }));
    }
}
PollQuestionsComponent.decorators = [
    { type: Component, args: [{
                selector: 'poll-questions.component',
                template: "<div class=\"container py-4\">\r\n    <div class=\"row\">\r\n        <div class=\"col-sm-8 mx-auto\">\r\n            <div>\r\n                <div class=\"mt-4\">\r\n                    <nav aria-label=\"breadcrumb\">\r\n                        <ol class=\"breadcrumb px-0\">\r\n                            <li class=\"breadcrumb-item\"><a routerLink=\"/polls\">Enquetes</a></li>\r\n                            <li class=\"breadcrumb-item\"><a (click)=\"itemType='view'\">Conex\u00F5es</a></li>\r\n                            <li *ngIf=\"itemType === 'report'\" class=\"breadcrumb-item active\" aria-current=\"page\">Resultado</li>\r\n                        </ol>\r\n                    </nav>\r\n                </div>\r\n                <div class=\"polls-section\">\r\n\r\n                    <h5 class=\"polls-section-title\">{{data?.title}}</h5>\r\n\r\n                    <ng-container *ngIf=\"itemType === 'view'\">\r\n\r\n                        <!-- Tipo pesquisa -->\r\n                        <ng-container>\r\n                            <div class=\"polls-multichoice\">\r\n                                <li class=\"selected\">\r\n                                    <span (click)=\"itemType='report'\">1</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">2</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">3</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">4</span>\r\n                                </li>\r\n                                <li>\r\n                                    <span (click)=\"itemType='report'\">5</span>\r\n                                </li>\r\n                            </div>\r\n                            <div class=\"mt-1\">\r\n                                <small>\r\n                                    <i class=\"bi bi-bar-chart\"></i>\r\n                                    {{data?.total_votes}}\r\n                                </small>\r\n                            </div>\r\n                        </ng-container>\r\n\r\n                         <!-- Tipo pergunta -->\r\n                        <ng-container>\r\n                            <ul class=\"polls-multichoice-vertical\">\r\n                                <li *ngFor=\"let item of data?.options\" [ngClass]=\"{'selected' : item.selected}\" (click)=\"updatePollsQuestions(item)\">\r\n                                    <div *ngIf=\"item.selected\" class=\"check\">\r\n                                        <i class=\"bi bi-check-circle-fill\"></i>\r\n                                    </div>\r\n                                    <p>{{item.text}}</p>\r\n                                </li>\r\n                               \r\n                            </ul>\r\n                        </ng-container>\r\n\r\n                    </ng-container>\r\n\r\n                    <ng-container *ngIf=\"itemType === 'report'\">\r\n                        <div class=\"polls-report\" *ngFor=\"let item of [1,2,3,4,5]; let i = index\">\r\n                            <div class=\"row fs-14\">\r\n                                <div class=\"col-sm-6\">Op\u00E7\u00E3o {{ i + 1 }}</div>\r\n                                <div class=\"col-sm-6 text-right\">25%</div>\r\n                            </div>\r\n                            <div class=\"progress\" style=\"height: 8px;\">\r\n                                <div class=\"progress-bar bg-primary\" role=\"progressbar\" style=\"width: 25%;\" aria-valuenow=\"25\" aria-valuemin=\"0\" aria-valuemax=\"100\"></div>\r\n                            </div>\r\n                        </div>\r\n                        <div>\r\n                            <small>\r\n                                <i class=\"bi bi-bar-chart\"></i>\r\n                                {{ data?.total_votes }}\r\n                            </small>\r\n                        </div>\r\n                    </ng-container>\r\n\r\n                </div>\r\n\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>",
                styles: [".polls-item{display:flex;align-items:flex-start;justify-content:space-between;flex-direction:column;height:130px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice{display:flex;margin:20px 0 0}.polls-multichoice li{min-width:30px;height:30px;line-height:30px;padding:0 5px;background-color:#eee;border:1px solid #fff;border-radius:4px;text-align:center;font-size:14px}.polls-multichoice li:hover{background-color:#ddd;cursor:pointer}.polls-multichoice li.selected{background-color:var(--main-color);color:#fff}li{list-style-type:none}.polls-multichoice-vertical{margin-top:30px}.polls-multichoice-vertical li{position:relative;display:flex;align-items:flex-start;justify-content:center;flex-direction:column;width:100%;min-height:50px;margin-bottom:15px;padding:10px;border-radius:8px;border:1px solid #d4d4d4}.polls-multichoice-vertical li:hover{border:1px solid #666;cursor:pointer}.polls-multichoice-vertical li.selected{background-color:var(--main-color);color:#fff}.polls-multichoice-vertical li.selected .check{display:block;position:absolute;top:5px;right:10px}.polls-multichoice-vertical li.selected .check i{font-size:15px}.polls-multichoice-vertical li .check{display:none}.polls-multichoice-vertical li p{width:90%;overflow:hidden;text-overflow:ellipsis;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;font-size:14px}.polls-report{min-height:65px;padding:15px 10px 10px;border-radius:8px;border:1px solid #d4d4d4;margin:20px 0}.polls-report .fs-14{font-size:14px}"]
            }] }
];
/** @nocollapse */
PollQuestionsComponent.ctorParameters = () => [
    { type: ActivatedRoute },
    { type: DataService }
];
if (false) {
    /** @type {?} */
    PollQuestionsComponent.prototype.id;
    /** @type {?} */
    PollQuestionsComponent.prototype.data;
    /** @type {?} */
    PollQuestionsComponent.prototype.itemType;
    /** @type {?} */
    PollQuestionsComponent.prototype.route;
    /** @type {?} */
    PollQuestionsComponent.prototype.dataService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AsapPollModule {
}
AsapPollModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    RouterModule,
                    FormsModule,
                    ReactiveFormsModule,
                ],
                declarations: [
                    AsapPollComponent,
                    PollQuestionsComponent
                ],
                exports: [
                    AsapPollComponent,
                    PollQuestionsComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/asap-poll.routing.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const PollRoutes = [
    {
        path: '',
        component: AsapPollComponent,
    },
    {
        path: ':id',
        component: PollQuestionsComponent,
    }
];

/**
 * @fileoverview added by tsickle
 * Generated from: projects.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: asap-poll.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { AsapPollComponent, AsapPollModule, AsapPollService, PollRoutes, PollQuestionsComponent as ɵa, DataService as ɵb };
//# sourceMappingURL=asap-poll.js.map
